Debian Bug report logs - #548156
grub-installer: No grub2 when using gpt partition schema

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: "Marcel D.A. Koopmans" <marcel.koopmans@elysium-os.nl>

Date: Thu, 24 Sep 2009 08:39:36 UTC

Severity: important

Tags: d-i, squeeze

Merged with 507399, 586059, 597799, 600524

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 08:39:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marcel D.A. Koopmans" <marcel.koopmans@elysium-os.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 08:39:39 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marcel D.A. Koopmans" <marcel.koopmans@elysium-os.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 10:05:23 +0200
Package: grub-installer
Severity: important

I use 2 disks with GPT partition schemes
On those I create 2 RAID-1 partitions
RAID #1 ( mirror ) contains /boot
RAID #2 ( mirror ) contains LVM with other partitions

Using these settings no longer gives me the option of selecting GRUB2 <- this is the real bug
And GRUB Legacy fails as it cannot handle /boot on mdadm with gpt partition schemes.

I thing this is an important bug as we soon have 2 gibibyte disks and the default msdos partition scheme cannot address those!

With kind regrads,
  Marcel

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 10:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 548156@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: "Marcel D.A. Koopmans" <marcel.koopmans@elysium-os.nl>, 548156@bugs.debian.org
Subject: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 11:54:47 +0200
Am Donnerstag, den 24.09.2009, 10:05 +0200 schrieb Marcel D.A. Koopmans:
> Package: grub-installer
> Severity: important
> 
> I use 2 disks with GPT partition schemes
> On those I create 2 RAID-1 partitions
> RAID #1 ( mirror ) contains /boot
> RAID #2 ( mirror ) contains LVM with other partitions
> 
> Using these settings no longer gives me the option of selecting GRUB2 <- this is the real bug

If your /boot is on GPT you got never asked that question, because GRUB
Legacy just doestn't support it.
So this isn't at all a bug.
By the way GRUB 2 is now the default for everyone, though that question
should still be asked in expert mode and if GRUB Legacy can
handle /boot.

> And GRUB Legacy fails as it cannot handle /boot on mdadm with gpt partition schemes.

Why do you think GRUB Legacy was choosen by grub-installer? The syslog
would be useful, escpecially the grub-installer part.

> 
> I thing this is an important bug as we soon have 2 gibibyte disks and the default msdos partition scheme cannot address those!

You mean 2 TiB, not 2 GiB.

If you use GPT you must create on all disks where your /boot is, a
`Reserved BIOS boot area', then shown as biosgrub.
A few MiBs are enough. They don't need to be all exactly the same size
and they don't need to be at the same sectors on the disks.

And you must create the RAID over a partition not over the whole disk,
even with msdos partition scheme.

I just tried it myself with todays amd64 businesscard.
100 MiB for biosgrub, rest for RAID 1 for an ext4 /
It installed fine, though grub-installer still used `grub-install (hd0)'
instead of (md0)

-- 
Felix Zielcke
Proud Debian Maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 11:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Koopmans <marcel.koopmans@elysium-os.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 11:15:09 GMT) Full text and rfc822 format available.

Message #15 received at 548156@bugs.debian.org (full text, mbox):

From: Marcel Koopmans <marcel.koopmans@elysium-os.nl>
To: Felix Zielcke <fzielcke@z-51.de>
Cc: 548156@bugs.debian.org
Subject: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 12:16:01 +0200
[Message part 1 (text/plain, inline)]
Hello Felix,

Thanks for the quick reply.

---

Why I think GRUB Legacy was chossen...

# dpkg -l | grep grub
ii  grub                                          
0.97-47lenny2                                 GRand Unified Bootloader 
(Legacy version)
ii  grub-common                                   
1.96+20080724-16                              GRand Unified Bootloader, 
version 2 (common files)

part from /var/log/apt/term.log

Log started: 2009-09-24  11:23:26
Selecting previously deselected package grub-common.
(Reading database ... 12091 files and directories currently installed.)
Unpacking grub-common (from .../grub-common_1.96+20080724-16_amd64.deb) ...
Selecting previously deselected package grub.
Unpacking grub (from .../grub_0.97-47lenny2_amd64.deb) ...
Processing triggers for man-db ...
Setting up grub-common (1.96+20080724-16) ...
Setting up grub (0.97-47lenny2) ...
Log ended: 2009-09-24  11:23:27

---

You are right about the disk size 2 TiB, we passed the 2 GiB a little 
while ago.

---

I'll try again creating the "Reserved BIOS boot area".

With kind regards,
   Marcel




Felix Zielcke wrote:
> Am Donnerstag, den 24.09.2009, 10:05 +0200 schrieb Marcel D.A. Koopmans:
>   
>> Package: grub-installer
>> Severity: important
>>
>> I use 2 disks with GPT partition schemes
>> On those I create 2 RAID-1 partitions
>> RAID #1 ( mirror ) contains /boot
>> RAID #2 ( mirror ) contains LVM with other partitions
>>
>> Using these settings no longer gives me the option of selecting GRUB2 <- this is the real bug
>>     
>
> If your /boot is on GPT you got never asked that question, because GRUB
> Legacy just doestn't support it.
> So this isn't at all a bug.
> By the way GRUB 2 is now the default for everyone, though that question
> should still be asked in expert mode and if GRUB Legacy can
> handle /boot.
>
>   
>> And GRUB Legacy fails as it cannot handle /boot on mdadm with gpt partition schemes.
>>     
>
> Why do you think GRUB Legacy was choosen by grub-installer? The syslog
> would be useful, escpecially the grub-installer part.
>
>   
>> I thing this is an important bug as we soon have 2 gibibyte disks and the default msdos partition scheme cannot address those!
>>     
>
> You mean 2 TiB, not 2 GiB.
>
> If you use GPT you must create on all disks where your /boot is, a
> `Reserved BIOS boot area', then shown as biosgrub.
> A few MiBs are enough. They don't need to be all exactly the same size
> and they don't need to be at the same sectors on the disks.
>
> And you must create the RAID over a partition not over the whole disk,
> even with msdos partition scheme.
>
> I just tried it myself with todays amd64 businesscard.
> 100 MiB for biosgrub, rest for RAID 1 for an ext4 /
> It installed fine, though grub-installer still used `grub-install (hd0)'
> instead of (md0)
>
>   
[marcel_koopmans.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 11:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 11:24:14 GMT) Full text and rfc822 format available.

Message #20 received at 548156@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Marcel Koopmans <marcel.koopmans@elysium-os.nl>
Cc: 548156@bugs.debian.org
Subject: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 13:05:36 +0200
Am Donnerstag, den 24.09.2009, 12:49 +0200 schrieb Marcel Koopmans:
> Hello Felix,
> 
> I need some help here...
> How did you change the partition type in the debian installation?
> 
> I don't see the option in Parted and fdisk / sfdisk does not support GPT.
> 
> with kind regards,
>     Marcel
> 
> 

Select the partition, press return, select `Use as' and there you find
the `Reserved BIOS boot area', just like also RAID and LVM.

With parted I only know this, from the GRUB wiki:
sudo parted /dev/sda set <partition_number> bios_grub on


-- 
Felix Zielcke
Proud Debian Maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 11:42:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 11:42:21 GMT) Full text and rfc822 format available.

Message #25 received at 548156@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Marcel Koopmans <marcel.koopmans@elysium-os.nl>
Cc: 548156@bugs.debian.org
Subject: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 13:09:40 +0200
Am Donnerstag, den 24.09.2009, 13:05 +0200 schrieb Felix Zielcke:
> Am Donnerstag, den 24.09.2009, 12:49 +0200 schrieb Marcel Koopmans:
> > Hello Felix,
> > 
> > I need some help here...
> > How did you change the partition type in the debian installation?
> > 
> > I don't see the option in Parted and fdisk / sfdisk does not support GPT.
> > 
> > with kind regards,
> >     Marcel
> > 
> > 
> 
> Select the partition, press return, select `Use as' and there you find
> the `Reserved BIOS boot area', just like also RAID and LVM.
> 
> With parted I only know this, from the GRUB wiki:
> sudo parted /dev/sda set <partition_number> bios_grub on

Oh maybe it wasn't clear enough, it has to be outside of the RAID.
Else you don't see that option and it wouldn't work anyway.


-- 
Felix Zielcke
Proud Debian Maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 12:15:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 12:15:24 GMT) Full text and rfc822 format available.

Message #30 received at 548156@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Marcel Koopmans <marcel.koopmans@elysium-os.nl>
Cc: 548156@bugs.debian.org
Subject: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 14:07:26 +0200
Am Donnerstag, den 24.09.2009, 13:32 +0200 schrieb Marcel Koopmans:
> Hello Felix,
> 
> I do not get that option.
> Screen shots for proof
> 
> with kind regards,
>     Marcel

What CD are you actually using? Seems like you didn't tell yet or I
totally missed it.

ii  grub                                          
0.97-47lenny2                                 GRand Unified Bootloader 
(Legacy version)
ii  grub-common                                   
1.96+20080724-16                              GRand Unified Bootloader, 
version 2 (common files)

That at least tells me that you install stable and not testing or
unstable.
AFAIK lenny d-i hasn't that option.
It shouldn't matter if you're using a few days old daily image.
AFAICS there were no partman and parted uploads recently.

But even with lenny d-i you shouldn't get GRUB Legacy with GPT
Or did you actually create the RAID over /dev/sd[ab] instead of
partitions?
In that case there might be a bug that GPT isn't detected, because then
there's actually no point at all in having a partition table inside the
MBR

So it would be good if you could try with current daily:
http://www.debian.org/devel/debian-installer

-- 
Felix Zielcke
Proud Debian Maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 12:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 12:42:06 GMT) Full text and rfc822 format available.

Message #35 received at 548156@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Marcel Koopmans <marcel.koopmans@elysium-os.nl>
Cc: 548156@bugs.debian.org
Subject: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 14:39:58 +0200
Am Donnerstag, den 24.09.2009, 14:34 +0200 schrieb Marcel Koopmans:
> Hello Felix,
> 
> I use the current stable version of Debian ( debian-503-amd64-CD-1.iso )
> 
> As you can see in my screen shots...
> 
> 2 disks GPT partition scheme.
>         3 Partitions each ( same layout on both )
>         1x 4Mb space for `Reserved BIOS boot area` just a few MiBs as 
> you suggested.
>         1x 128Mb for MD0 ( RAID-1 )
>                 MD0 will hold /boot ( ext3 )
>         1x rest of space for MD1 ( RAID-1 )
>                 MD1 for LVM ( VG = vg_os01 )
>                         VG vg_os01 will hold
>                                 LV lv_swap ( 512Mb )
>                                         swap
>                                 LV lv_root ( rest of space )
>                                         / ( ext3 )
> 
> I will look into the current daily installer.
> 

It would be nice if you could try exactly the same from the failed lenny
installation with current daily.
With the businesscard you can choose between stable/testing/unstable
For grub-installer itself it doestn't matter which you install.
It isn't yet checked if you have a bios_grub partition and RAID/LVM
on /boot, but then you at least should get an error from grub-install in
VT4 or syslog.
It shouldn't choose GRUB Legacy if you use GPT on all disks belonging
to /root

Oh and by the way /boot over LVM over RAID should work now with
squeeze's GRUB 2 but it hasn't been yet that much tested.

-- 
Felix Zielcke
Proud Debian Maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 24 Sep 2009 19:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 24 Sep 2009 19:48:06 GMT) Full text and rfc822 format available.

Message #40 received at 548156@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Marcel Koopmans <marcel.koopmans@elysium-os.nl>
Cc: 548156@bugs.debian.org
Subject: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema
Date: Thu, 24 Sep 2009 21:18:05 +0200
Am Donnerstag, den 24.09.2009, 20:44 +0200 schrieb Marcel Koopmans:
> Hello Felix,
> 
> I tried the version you suggested.
> 
> Booting it into "expert install" makes it hang during boot...
> Final message = "(process:1161): INFO: kbd-mode: setting console mode to 
> Unicode (UTF-8)"
> I'll see this as a good start ;-)

You have to add `nopat' to the boot options.
This will be hopefully fixed soon in the dailys.
The fix is now in the stock Debian sid kernel but d-i's is a bit
special.

> But "Graphical expert install" works.
> 
> Partition issues that I see is that I only did create 1 partition for 
> LVM but when I create a VG I can but it anywhere.
> This does not happen in the current text version.
> 
> Also, in text mode I am allowed to make a LV with the size "max" but in 
> graphical this fails.
> ( I could be wrong here... as far as I recall in the text version the 
> max number is just filled in and I most likely just press enter )

Maybe Colin can tell something there. I'm not familiar with partman.

> After the installation I see GRUB version 1.97~beta3
> And it seems I did end with squeeze/sid not Lenny 5.0.3
> 

Only with the businesscards in expert mode you can choose between
stable/testing/unstable
By default (and so always with netinst) testing gets choosen.


-- 
Felix Zielcke
Proud Debian Maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Fri, 25 Sep 2009 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 25 Sep 2009 11:18:03 GMT) Full text and rfc822 format available.

Message #45 received at 548156@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: 548156@bugs.debian.org
Subject: [Fwd: Re: Bug#548156: grub-installer: No grub2 when using gpt partition schema]
Date: Fri, 25 Sep 2009 13:11:58 +0200
[Message part 1 (text/plain, inline)]
-------- Weitergeleitete Nachricht --------
> Von: Marcel Koopmans <marcel.koopmans@elysium-os.nl>
> An: Felix Zielcke <fzielcke@z-51.de>
> Betreff: Re: Bug#548156: grub-installer: No grub2 when using gpt
> partition schema
> Datum: Fri, 25 Sep 2009 10:51:31 +0200
> 
> Hello Felix,
> 
> I tried it again, this time in text mode with the nopat at the command line.
> 
> Partition "issues"
> I am given te option to select a partitions for raid when they are 
> marked "biosgrub", this is a small issue, but not nice.
> Same issue with LVM, I mark a partition for LVM, why can I select from 
> all 4 ( 2x biosgrub, 1 already in use ext3 "/boot" )
> 
> Overall I can create the right layout ( see overview.png )
> When committing these changes I do see something that worries me, in the 
> screen no info about sdb1 is missing! ( see sdb1_missing.png )
> 
> Installed GRUB2
> In the end I run Lenny ( 5.0.3 )
> 
> I will do some more tests to make sure this actually works.
> 
> with kind regards,
>     Marcel
> 
> 
> 
> Felix Zielcke wrote:
> > Am Donnerstag, den 24.09.2009, 20:44 +0200 schrieb Marcel Koopmans:
> >   
> >> Hello Felix,
> >>
> >> I tried the version you suggested.
> >>
> >> Booting it into "expert install" makes it hang during boot...
> >> Final message = "(process:1161): INFO: kbd-mode: setting console mode to 
> >> Unicode (UTF-8)"
> >> I'll see this as a good start ;-)
> >>     
> >
> > You have to add `nopat' to the boot options.
> > This will be hopefully fixed soon in the dailys.
> > The fix is now in the stock Debian sid kernel but d-i's is a bit
> > special.
> >
> >   
> >> But "Graphical expert install" works.
> >>
> >> Partition issues that I see is that I only did create 1 partition for 
> >> LVM but when I create a VG I can but it anywhere.
> >> This does not happen in the current text version.
> >>
> >> Also, in text mode I am allowed to make a LV with the size "max" but in 
> >> graphical this fails.
> >> ( I could be wrong here... as far as I recall in the text version the 
> >> max number is just filled in and I most likely just press enter )
> >>     
> >
> > Maybe Colin can tell something there. I'm not familiar with partman.
> >
> >   
> >> After the installation I see GRUB version 1.97~beta3
> >> And it seems I did end with squeeze/sid not Lenny 5.0.3
> >>
> >>     
> >
> > Only with the businesscards in expert mode you can choose between
> > stable/testing/unstable
> > By default (and so always with netinst) testing gets choosen.
> >
> >
> >   


-- 
Felix Zielcke
Proud Debian Maintainer
[overview.png (image/png, inline)]
[sdb1_missing.png (image/png, inline)]
[marcel_koopmans.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Mon, 19 Oct 2009 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian MacDonald <imac@netstatz.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Oct 2009 18:45:06 GMT) Full text and rfc822 format available.

Message #50 received at 548156@bugs.debian.org (full text, mbox):

From: Ian MacDonald <imac@netstatz.com>
To: Debian Bug Tracking System <548156@bugs.debian.org>
Subject: grub-installer: No grub2 with gpt+lvm+raid+crypto
Date: Mon, 19 Oct 2009 14:43:34 -0400
Package: grub-installer
Followup-For: Bug #548156

Our team encountered this issue as well with 2TB disks (Intel SATA on Dell Poweredge).  

It caught us by surprise since 1.5TB disk recipes were not an issue (not GPT also)

Latest 5.0.3 installer; We ran both normal, and again in expert in the process of debugging. 

Currently the system boots with LILO as selected in the expert mode install, however this is less than ideal.

With dual 2TB disks, we have 500MB RAID1 md0 /boot and and LVM on Crypto on RAID1 for the remainder, with root and swap as LVM volumes

We already installed grub2 from squeeze (noting other known issues about LVM and RAID support), but have no grub_bios partitions.

We now understand GPT/EFI and grub_partitions, but IMHO, this change is going to catch people by surprise on non-perfect installs

The next exercise for us is to shrink md0 and resize, re-number, etc (might be tricky without fdisk GPT support).

Re-installation from daily would be another option it seems, but the crypto disk erase step for 2TB forces more than an overnight break.

IMHO anybody heading the Xen_Cloud route looking for big LVM disks and crypto on Xen/iSCSI is going to stumble on this one.  

Thanks for tracking this down, so we know exactly what our options are and what we need to do.

iMac
-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#548156; Package grub-installer. (Thu, 22 Oct 2009 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian MacDonald <imac@netstatz.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 22 Oct 2009 18:57:04 GMT) Full text and rfc822 format available.

Message #55 received at 548156@bugs.debian.org (full text, mbox):

From: Ian MacDonald <imac@netstatz.com>
To: 548156@bugs.debian.org
Subject: Re: Bug#548156: Info received (grub-installer: No grub2 with gpt+lvm+raid+crypto)
Date: Thu, 22 Oct 2009 13:05:02 -0400
[Message part 1 (text/plain, inline)]
An update on this issue,

We used the October 19th d-i businesscard iso to test setting up another
2TB RAID+Crypto+LVM box.

We selected stable, linux-2.6-amd64 kernel(default) and were prompted
for GRUB2 installation, however there was an error (attached:IMG_0121). 

The installer (attached:IMG_0108) tries to pass an invalid --force on
the command line.  Using a console we were able to install Grub 2
manually by repeating the command (attached:IMG_0110) however there did
not appear to be an obvious way to create grub.cfg (i.e. update-grub) so
we actually ended up choosing LILO and then setting up grub 2 using
squeeze binaries after the fact. 

Out partition layout (attached:IMG_0122) is using GPT and 2TB disks with
grub_bios, raid_boot, and raid_crypto_lvm partitions.

The end state was supposed to be to install a Xen kernel, however we
have now stumbled on other issues relating to Grub2 and Xen, one of
which we cannot seem to workaround (545224). 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=545224
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505517 

Sorry for the large analogue screenshots.. no serial console on this
box.

cheers,
iMac

[IMG_0121_GRUBERROR.PNG (image/png, attachment)]
[IMG_0108_DIOUTPUT.PNG (image/png, attachment)]
[IMG_0110_DICONSOLE.PNG (image/png, attachment)]
[IMG_0122_PARTS.PNG (image/png, attachment)]

Forcibly Merged 507399 548156 586059 597799 600524. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 23:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:04:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.